Subject: bug#62639: RFE: Option to print file paths as hyperlinks

From: Nelson Benítez León <[email-masked]>
Date: Sun, 2 Apr 2023 22:38:49 -0400

Most terminals have landed support for hyperlinks:
https://gist.github.com/egmontkob/eb114294efbcd5adb1944c9f3cb5feda

It would be nice if GNU Grep added an option for that so it could
print file paths as hyperlinks, that way the user could eg. configure
it such that clicking on a match would open text editor for such file
and at the giving line number.

For example, VS Code now provides an URL handler[1] for that, so if
GNU grep provided a '--hyperlink-format' option, it could be used as
easy as:
--hyperlink-format 'vscode://file/{file}:{line}'

and that way we could launch our GNU grep matches directly in VS Code
(or any other editor by configuring the file:// handler in our
system).

[1] https://code.visualstudio.com/docs/editor/command-line#_opening-vs-code-with-urls

Regards,